This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1268817 - RFE: Add support to repair cache LVs when VG is broken
RFE: Add support to repair cache LVs when VG is broken
Status: NEW
Product: Fedora
Classification: Fedora
Component: lvm2 (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Zdenek Kabelac
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-10-05 07:33 EDT by Zdenek Kabelac
Modified: 2017-09-20 10:33 EDT (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Zdenek Kabelac 2015-10-05 07:33:16 EDT
Description of problem:

For now lvm2 does not support fixing of metadata when VG gets inconsistent (i.e. PV is lost)

If such lost PV contained i.e. cache-pool and user caching some LV, he gets into problematic case how to get access to such cached LV back.

Unsure about best syntax -  we could go with

lvrepair

as well as with 

lvconvert --force --uncache



Version-Release number of selected component (if applicable):
2.02.131

How reproducible:


Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 1 Zdenek Kabelac 2017-09-20 10:33:03 EDT
As a 'partial' progress  lvm2 from version 2.02.175 supports  'lvconvert --repair' usage for cache & cachepool for automated usage of 'cache_repair' tool - just in-line with similar logic used for thin-pools.

Note You need to log in before you can comment on or make changes to this bug.